# std::bad_cast Class Reference

Inheritance diagram for std::bad_cast:

List of all members.

## Detailed Description

If you attempt an invalid `dynamic_cast` expression, an instance of this class (or something derived from this class) is thrown.

Definition at line 138 of file typeinfo.

## Public Member Functions

- bad_cast () throw ()
- virtual const char * what () const throw ()

## Member Function Documentation

virtual const char* std::bad_cast::what | ( |  | ) | const throw ()`[virtual]`

Returns a C-style character string describing the general cause of the current error.

Reimplemented from std::exception.

The documentation for this class was generated from the following file:

- typeinfo